### Method

# Gtk TextBuffer set_text

#### Declaration [src]

    void
    gtk_text_buffer_set_text (
      GtkTextBuffer* buffer,
      const char* text,
      int len
    )

#### Description [src]

Deletes current contents of `buffer`, and inserts `text` instead.

If `len` is -1, `text` must be nul-terminated. `text` must be valid UTF-8.

Sets property | `Gtk.TextBuffer:text`

#### Parameters

`text` | `const char*`
| UTF-8 text to insert.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`len` | `int`
| Length of `text` in bytes.